var Moon = (function () {
	function Moon(pX, pY) {
		moonVectors = new Vector(pX,pY);		
	};
	
	Moon.prototype.draw = function(pContext)
	{ 
		pContext.save();
		pContext.translate(moonVectors.getX(),moonVectors.getY());
		this.baseMoon(pContext);
		pContext.restore();
	};
	
	Moon.prototype.drawMoonWhole = function(pContext)
	{ 
		this.baseMoon(pContext);
	};
	
	Moon.prototype.baseMoon = function(pContext)
	{ 
		pContext.lineWidth = 5;
		pContext.strokeStyle = '#606060';
		pContext.fillStyle = '#898989';
		pContext.beginPath();
		pContext.arc(0,0,110,0,2*Math.PI,false);
		pContext.closePath();
		pContext.fill();
		pContext.stroke();
	};
	
	

	return Moon; 
})();