var Santa = (function () {
	function Santa(pX,pY,pIndex) 
	{
		santaVectors = new Vector(pX,pY);
		this.setIndex(pIndex);
	};
	Santa.prototype.getIndex = function()
	{
		return this.mIndex;
	}; 
	Santa.prototype.setIndex = function (pIndex)
	{
		this.mIndex = pIndex;
	};
	Santa.prototype.draw = function(pContext)
	{ 
		pContext.save();
		
		pContext.translate(santaVectors.getX(),santaVectors.getY());
		
		this.drawSanta(pContext);
		pContext.restore();
	};
		
	Santa.prototype.drawSanta = function(pContext)
	{	
		var santaSprite = document.getElementById("santaspritesheet");
		var frameIndex = this.getIndex();
		var spriteFrameWidth = 64;
		var spriteFrameHeight = 72;
		var numberOfFrames = 40;
		var frameX = frameIndex * spriteFrameWidth;
		var frameY = 0;
		//pContext.clearRect(-30, -35, spriteFrameWidth, spriteFrameHeight);
		pContext.drawImage(santaSprite,frameX,frameY,spriteFrameWidth,spriteFrameHeight,-spriteFrameWidth/2,-spriteFrameHeight/2,spriteFrameWidth, spriteFrameHeight);
	}
	
	Santa.prototype.update = function(pContext,depth)
	{ 
		this.setIndex(this.getIndex()+1);
		santaVectors.setX(santaVectors.getX()+5);
		if(santaVectors.getX() > 500)
		{
			santaVectors.setX(-500);
		}
		
		if (this.getIndex() > 8)
		{
			this.setIndex(0);
		}
	};
	

	return Santa; 
})();