var Snow = (function () {
	function Snow(pX, pY,fallX,fallY) {
		snowVectors = new Vector(pX,pY);	
		fallVector = new Vector(fallX,fallY);
	};
	
	Snow.prototype.draw = function(pContext)
	{ 
		pContext.save();
		pContext.translate(snowVectors.getX(),snowVectors.getY());
		var xCor = Math.floor((Math.random()*800)+1);
		//var yCor = Math.floor((Math.random()*10)+1);
		for(i=0;i<50;i++)
		{
			this.drawSnowWhole(pContext,fallVector.getX()+xCor,fallVector.getY());
		}
		pContext.restore();
	};
	
	Snow.prototype.drawSnowWhole = function(pContext,xCor,yCor)
	{ 
		var snowSprite = document.getElementById("snowflake");
		
		for(i=0;i<50;i++)
		{
			pContext.drawImage(snowSprite,xCor+(i*100),yCor+(i*100),10,10);
		}
		
	};
	
	Snow.prototype.update = function(pContext)
	{ 
		var fallSpeed = Math.random();
		
		snowVectors.setY(snowVectors.getY()+fallSpeed);
		pContext.save();
		pContext.rotate(10);
		pContext.restore();
		if (snowVectors.getY() > 300)
		{
			snowVectors.setY(-300);
		}
	};
	

	return Snow; 
})();