var Vector = (function () {
	function Vector(x, y) {
		this.setX(x);
		this.setY(y);		
	};
	Vector.prototype.getX = function()
	{
		return this.mX;
	}; 
	Vector.prototype.setX = function (x)
	{
		this.mX = x;
	};
	
	Vector.prototype.getY = function()
	{
		return this.mY;
	}; 
	Vector.prototype.setY = function (y)
	{
		this.mY = y;
	};
	
	Vector.prototype.add = function(otherVector)
	{ 
		this.setX(this.getX() + otherVector.getX());
		this.setY(this.getY() + otherVector.getY());
	};
	
	Vector.prototype.magnitude = function()
	{ 
		var h = Math.sqrt(this.getX()*this.getX()+this.getY()*this.getY());
	};
	
	Vector.prototype.subtract = function(otherVector)
	{ 
		this.setX(this.getX() - otherVector.getX());
		this.setY(this.getY() - otherVector.getY());
	};
	
	Vector.prototype.normalise = function()
	{ 
		var magnitude = this.magnitude();
		this.divide(magnitude);
	};
	
	Vector.prototype.multiply = function(scalar)
	{ 
		this.setX(this.getX()*scalar);
		this.setY(this.getY()*scalar);
	};
	
	Vector.prototype.limitTo = function(scalar)
	{ 
		this.normalise();
		this.multiply(scalar);
	};
	
	Vector.prototype.divide = function(scalar)
	{ 
		this.setX(this.getX()/scalar);
		this.setY(this.getY()/scalar);
	};
	
	
	
	return Vector; 
})();